#
# spec file for package compat
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compat
Provides:       libgpp27
Version:        2010.1.31
Release:        4.3
Summary:        Libraries from Compatibility Versions
License:        BSD-3-Clause and Zlib
Group:          System/Libraries
Source:         libstdc++.tar.bz2
Source2:        libgcc2953.tar.bz2
Source3:        baselibs.conf
# dummy, unused, included for reference
Source13:       gcc-2.95.2-91.src.rpm
Source14:       gcc-2.95.3-234.src.rpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 ia64 ppc s390 s390x

%description
Contains old libraries possibly needed for programs not part of SUSE.



%prep
%setup -c -n compat -T -a0 -a2

%build

%install
%ifarch %ix86
MY_CPU=i386
%else
MY_CPU=%{_target_cpu}
%endif
mkdir -p $RPM_BUILD_ROOT/%_libdir
for i in * ; do
 if [ -d $i/$MY_CPU ]; then
     cp -pr $i/$MY_CPU/* $RPM_BUILD_ROOT/%_libdir
 fi
 for f in $(find $RPM_BUILD_ROOT/%_libdir -type f -name '*.so*'); do
   chmod 755 $f
   strip -p --strip-unneeded $f
  done
done
/sbin/ldconfig -n $RPM_BUILD_ROOT/%_libdir

%clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*
%ifarch %ix86
%dir %_libdir/gcc
%dir %_libdir/gcc/i586-suse-linux
%dir %_libdir/gcc/i586-suse-linux/2.95.3/
%_libdir/gcc/i586-suse-linux/2.95.3/*
%endif

%changelog
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Sun Jan 31 2010 jengelh@medozas.de
- package baselibs.conf
* Mon Jan 19 2009 ro@suse.de
- baselibs.conf: replace obsoletes by conflicts (bnc#456716)
* Mon Oct 27 2008 kukuk@suse.de
- Block some rpmlint warnings (legacy package)
* Wed Aug 13 2008 ro@suse.de
- add exclusivearch: block on ppc64 and x86_64
* Tue May  6 2008 coolo@suse.de
- fixing update: compat-32bit.x86_64 should not be installed together
  with compat.i586
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Mar  5 2008 crrodriguez@suse.de
- fix build in BETA
* Wed Apr 18 2007 ro@suse.de
- drop openldap
- remove sources for no longer contained libraries
* Wed Apr 18 2007 dmueller@suse.de
- package size reduced by more than 50%%:
  * drop gcc 2.7.x libstdc++ variants
  * drop libjpeg
  * drop libncurses
  * strip installed libraries
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 ro@suse.de
- removed openssl-0.9.7 (own package compat-openssl097g)
* Thu Jan 12 2006 kukuk@suse.de
- Add crt*.o and libgcc.a from gcc-2.95.3 [Fate#150120]
- Remove obsolete libdb 3.1
* Wed Nov 16 2005 ro@suse.de
- added sles9 openssl and 10.0 openldap libraries
* Sat Nov 13 2004 ro@suse.de
- fixed file list
* Mon Sep  6 2004 kukuk@suse.de
- move gdbm libraries to an extra package
- Drop libpng and libmng libraries
* Thu Jul  1 2004 ro@suse.de
- added src rpms for copied compat libraries as source files
  db-3.1.17-162.src.rpm
  gdbm-1.8.0-500.src.rpm
  jpeg-6a-74.src.rpm
  libmng-1.0.0-84.src.rpm
  libpng-2.1.0.12-25.src.rpm
  ncurses-4.2-44.src.rpm
  egcs-981208-1.src.rpm
  gcc-2.95.2-91.src.rpm
  gcc-2.95.3-234.src.rpm
- removed libncurses.so.1
- removed libpng.so.1
* Mon May 12 2003 ro@suse.de
- use defattr
* Sat Feb 22 2003 kukuk@suse.de
- Add libmng.so.0 on i386 [Bug #24116]
* Wed Feb 12 2003 kukuk@suse.de
- Add libdb.so.3 [Bug #23483]
* Fri Jan 10 2003 ro@suse.de
- replaced i386/libstdc++-3-libc6.2-2-2.10.0.so with copy from SL7.3
* Wed Dec  4 2002 ro@suse.de
- added libgdbm.so.2
* Thu Aug 15 2002 ro@suse.de
- fixed libpng archive (wrong path)
* Mon Aug  5 2002 ro@suse.de
- added libncurses.so.4 and libpng.so.2
* Wed Jul 31 2002 kukuk@suse.de
- fix version number calculation
* Mon Jul  8 2002 kukuk@suse.de
- Fix to build for i586/i686
* Wed May  1 2002 kukuk@suse.de
- Add libdb-3.1.so for SPARC
* Tue Apr 23 2002 schwab@suse.de
- Add libg++-libc6.2-2.so.3 for ia64.
* Fri Apr 19 2002 kukuk@suse.de
- Add C++ libraries from gcc 2.95.x for s390
* Sat Apr 13 2002 ro@suse.de
- added libstdc++.so.3 for alpha
* Thu Apr 11 2002 ro@suse.de
- add lib for s390x / use libdir macro
* Mon Apr  8 2002 kukuk@suse.de
- Complete rework of build/install section
- Add libstdc++ from SL 7.3/8.0
* Fri Mar  8 2002 kukuk@suse.de
- Add libncurses.so.2.1 to filelist (created by ldconfig)
* Mon Feb 18 2002 kukuk@suse.de
- Fix filelist
* Sun Feb 17 2002 kukuk@suse.de
- Add libdb-3.1.so and libdb-3.3.so
* Tue Nov 20 2001 ro@suse.de
- fix build on s390
* Sun Sep 23 2001 kukuk@suse.de
- Don't install link, create a new one
* Sat Sep 22 2001 kukuk@suse.de
- Add libjpeg.so.6 for compatibility with old KDE 1.x binaries
* Wed Jul  4 2001 ro@suse.de
- ncurses-1.9.7a: add space that got eaten somewhere else
* Tue Jun 12 2001 schwab@suse.de
- Fix ncurses configure script.
* Fri Mar 16 2001 schwab@suse.de
- Add libstdc++-libc6.2-2.so.3 on ia64.
* Sat Nov 25 2000 schwab@suse.de
- Don't build on ia64.
* Wed Nov 15 2000 aj@suse.de
- Add libstdc++-3-libc6.1-2-2.10.0.so from SuSE 7.0.
* Mon Sep 25 2000 ro@suse.de
- sorted
* Mon Aug 14 2000 schwab@suse.de
- Make the architecture selection explicit.
* Sun Jan 23 2000 kukuk@suse.de
- Add libstdc++-libc6.1-1*.so.2 for Alpha, Intel, PowerPC and SPARC
* Fri Jan  7 2000 kukuk@suse.de
- Fix spec file
* Wed Jan  5 2000 kukuk@suse.de
- Add libstdc++.so.2.8 for PPC (needed by netscape)
* Wed Jan  5 2000 kukuk@suse.de
- Add libstdc++.so.2.8 for SPARC (needed by netscape)
* Fri Nov 26 1999 kukuk@suse.de
- Don't include binary only libraries on PPC and SPARC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Wed Aug 25 1999 schwab@suse.de
- check in new libg++.so.2.7.2.8 and libstdc++.so.2.7.2.8 (i386) built
  with -fvtable-thunks on 6.1
* Sat Jul 24 1999 bs@suse.de
- checked in working libg++.so.2.7.2.8 and libstdc++.so.2.7.2.8 (i386)
* Thu Jul 22 1999 bs@suse.de
- fixed file list (/usr/lib/libg++.so.2.7.2 was missing)
* Mon Jul 12 1999 ro@suse.de
- added lib{stdc,g}++.so.2.7.2
* Thu Jul  8 1999 ro@suse.de
- added libstdc++.so.2.9 and libg++-1.so.2
* Thu Mar 11 1999 ro@suse.de
- added libstdc++.so.2.8
- removed db and gdbm
* Tue Jun  2 1998 ro@suse.de
- moved libstdc++ and libg++ to shlibs5
* Thu May 28 1998 ro@suse.de
- added libstdc++ and libg++ v 27.2.1 binaries
  added libg++ sources for src-pkg
* Tue May 12 1998 ro@suse.de
- added libpng.so.1.0.89
* Wed Jan 14 1998 ro@suse.de
- first version
